This bugzilla service is closed. All entries have been migrated to https://gitlab.com/libeigen/eigen
Bug 1086 - CholmodSupport.h uses UF_long which has been removed in SuiteSparse 4.4
Summary: CholmodSupport.h uses UF_long which has been removed in SuiteSparse 4.4
Status: RESOLVED FIXED
Alias: None
Product: Eigen
Classification: Unclassified
Component: Cholesky (show other bugs)
Version: 3.3 (current stable)
Hardware: All All
: Normal Unknown
Assignee: Nobody
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-11 08:13 UTC by gladk
Modified: 2019-12-04 15:02 UTC (History)
2 users (show)



Attachments
Patch to fix the issue (793 bytes, patch)
2015-10-11 08:13 UTC, gladk
no flags Details | Diff

Description gladk 2015-10-11 08:13:32 UTC
Created attachment 613 [details]
Patch to fix the issue

From https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=800101

UF_long has been replaced by SuiteSparse_long in recent versions of suitesparse.

Tha patch is attached.
Comment 1 Gael Guennebaud 2015-10-12 14:26:17 UTC
Thanks for the report, the patch was incomplete, fixed: https://bitbucket.org/eigen/eigen/commits/6996ab297ded/
(and backported to 3.2)
Comment 2 Nobody 2019-12-04 15:02:35 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to gitlab.com's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.com/libeigen/eigen/issues/1086.

Note You need to log in before you can comment on or make changes to this bug.